package ventilador.loja;


import anywheresoftware.b4a.B4AMenuItem;
import android.app.Activity;
import android.os.Bundle;
import anywheresoftware.b4a.BA;
import anywheresoftware.b4a.BALayout;
import anywheresoftware.b4a.B4AActivity;
import anywheresoftware.b4a.ObjectWrapper;
import anywheresoftware.b4a.objects.ActivityWrapper;
import java.lang.reflect.InvocationTargetException;
import anywheresoftware.b4a.B4AUncaughtException;
import anywheresoftware.b4a.debug.*;
import java.lang.ref.WeakReference;

public class main extends Activity implements B4AActivity{
	public static main mostCurrent;
	static boolean afterFirstLayout;
	static boolean isFirst = true;
    private static boolean processGlobalsRun = false;
	BALayout layout;
	public static BA processBA;
	BA activityBA;
    ActivityWrapper _activity;
    java.util.ArrayList<B4AMenuItem> menuItems;
	public static final boolean fullScreen = true;
	public static final boolean includeTitle = false;
    public static WeakReference<Activity> previousOne;

	@Override
	public void onCreate(Bundle savedInstanceState) {
		super.onCreate(savedInstanceState);
        mostCurrent = this;
		if (processBA == null) {
			processBA = new anywheresoftware.b4a.ShellBA(this.getApplicationContext(), null, null, "ventilador.loja", "ventilador.loja.main");
			processBA.loadHtSubs(this.getClass());
	        float deviceScale = getApplicationContext().getResources().getDisplayMetrics().density;
	        BALayout.setDeviceScale(deviceScale);
            
		}
		else if (previousOne != null) {
			Activity p = previousOne.get();
			if (p != null && p != this) {
                BA.LogInfo("Killing previous instance (main).");
				p.finish();
			}
		}
        processBA.setActivityPaused(true);
        processBA.runHook("oncreate", this, null);
		if (!includeTitle) {
        	this.getWindow().requestFeature(android.view.Window.FEATURE_NO_TITLE);
        }
        if (fullScreen) {
        	getWindow().setFlags(android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN,   
        			android.view.WindowManager.LayoutParams.FLAG_FULLSCREEN);
        }
		
        processBA.sharedProcessBA.activityBA = null;
		layout = new BALayout(this);
		setContentView(layout);
		afterFirstLayout = false;
        WaitForLayout wl = new WaitForLayout();
        if (anywheresoftware.b4a.objects.ServiceHelper.StarterHelper.startFromActivity(this, processBA, wl, false))
		    BA.handler.postDelayed(wl, 5);

	}
	static class WaitForLayout implements Runnable {
		public void run() {
			if (afterFirstLayout)
				return;
			if (mostCurrent == null)
				return;
            
			if (mostCurrent.layout.getWidth() == 0) {
				BA.handler.postDelayed(this, 5);
				return;
			}
			mostCurrent.layout.getLayoutParams().height = mostCurrent.layout.getHeight();
			mostCurrent.layout.getLayoutParams().width = mostCurrent.layout.getWidth();
			afterFirstLayout = true;
			mostCurrent.afterFirstLayout();
		}
	}
	private void afterFirstLayout() {
        if (this != mostCurrent)
			return;
		activityBA = new BA(this, layout, processBA, "ventilador.loja", "ventilador.loja.main");
        
        processBA.sharedProcessBA.activityBA = new java.lang.ref.WeakReference<BA>(activityBA);
        anywheresoftware.b4a.objects.ViewWrapper.lastId = 0;
        _activity = new ActivityWrapper(activityBA, "activity");
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (BA.isShellModeRuntimeCheck(processBA)) {
			if (isFirst)
				processBA.raiseEvent2(null, true, "SHELL", false);
			processBA.raiseEvent2(null, true, "CREATE", true, "ventilador.loja.main", processBA, activityBA, _activity, anywheresoftware.b4a.keywords.Common.Density, mostCurrent);
			_activity.reinitializeForShell(activityBA, "activity");
		}
        initializeProcessGlobals();		
        initializeGlobals();
        
        BA.LogInfo("** Activity (main) Create, isFirst = " + isFirst + " **");
        processBA.raiseEvent2(null, true, "activity_create", false, isFirst);
		isFirst = false;
		if (this != mostCurrent)
			return;
        processBA.setActivityPaused(false);
        BA.LogInfo("** Activity (main) Resume **");
        processBA.raiseEvent(null, "activity_resume");
        if (android.os.Build.VERSION.SDK_INT >= 11) {
			try {
				android.app.Activity.class.getMethod("invalidateOptionsMenu").invoke(this,(Object[]) null);
			} catch (Exception e) {
				e.printStackTrace();
			}
		}

	}
	public void addMenuItem(B4AMenuItem item) {
		if (menuItems == null)
			menuItems = new java.util.ArrayList<B4AMenuItem>();
		menuItems.add(item);
	}
	@Override
	public boolean onCreateOptionsMenu(android.view.Menu menu) {
		super.onCreateOptionsMenu(menu);
        try {
            if (processBA.subExists("activity_actionbarhomeclick")) {
                Class.forName("android.app.ActionBar").getMethod("setHomeButtonEnabled", boolean.class).invoke(
                    getClass().getMethod("getActionBar").invoke(this), true);
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
        if (processBA.runHook("oncreateoptionsmenu", this, new Object[] {menu}))
            return true;
		if (menuItems == null)
			return false;
		for (B4AMenuItem bmi : menuItems) {
			android.view.MenuItem mi = menu.add(bmi.title);
			if (bmi.drawable != null)
				mi.setIcon(bmi.drawable);
            if (android.os.Build.VERSION.SDK_INT >= 11) {
				try {
                    if (bmi.addToBar) {
				        android.view.MenuItem.class.getMethod("setShowAsAction", int.class).invoke(mi, 1);
                    }
				} catch (Exception e) {
					e.printStackTrace();
				}
			}
			mi.setOnMenuItemClickListener(new B4AMenuItemsClickListener(bmi.eventName.toLowerCase(BA.cul)));
		}
        
		return true;
	}   
 @Override
 public boolean onOptionsItemSelected(android.view.MenuItem item) {
    if (item.getItemId() == 16908332) {
        processBA.raiseEvent(null, "activity_actionbarhomeclick");
        return true;
    }
    else
        return super.onOptionsItemSelected(item); 
}
@Override
 public boolean onPrepareOptionsMenu(android.view.Menu menu) {
    super.onPrepareOptionsMenu(menu);
    processBA.runHook("onprepareoptionsmenu", this, new Object[] {menu});
    return true;
    
 }
 protected void onStart() {
    super.onStart();
    processBA.runHook("onstart", this, null);
}
 protected void onStop() {
    super.onStop();
    processBA.runHook("onstop", this, null);
}
    public void onWindowFocusChanged(boolean hasFocus) {
       super.onWindowFocusChanged(hasFocus);
       if (processBA.subExists("activity_windowfocuschanged"))
           processBA.raiseEvent2(null, true, "activity_windowfocuschanged", false, hasFocus);
    }
	private class B4AMenuItemsClickListener implements android.view.MenuItem.OnMenuItemClickListener {
		private final String eventName;
		public B4AMenuItemsClickListener(String eventName) {
			this.eventName = eventName;
		}
		public boolean onMenuItemClick(android.view.MenuItem item) {
			processBA.raiseEventFromUI(item.getTitle(), eventName + "_click");
			return true;
		}
	}
    public static Class<?> getObject() {
		return main.class;
	}
    private Boolean onKeySubExist = null;
    private Boolean onKeyUpSubExist = null;
	@Override
	public boolean onKeyDown(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeydown", this, new Object[] {keyCode, event}))
            return true;
		if (onKeySubExist == null)
			onKeySubExist = processBA.subExists("activity_keypress");
		if (onKeySubExist) {
			if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK &&
					android.os.Build.VERSION.SDK_INT >= 18) {
				HandleKeyDelayed hk = new HandleKeyDelayed();
				hk.kc = keyCode;
				BA.handler.post(hk);
				return true;
			}
			else {
				boolean res = new HandleKeyDelayed().runDirectly(keyCode);
				if (res)
					return true;
			}
		}
		return super.onKeyDown(keyCode, event);
	}
	private class HandleKeyDelayed implements Runnable {
		int kc;
		public void run() {
			runDirectly(kc);
		}
		public boolean runDirectly(int keyCode) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keypress", false, keyCode);
			if (res == null || res == true) {
                return true;
            }
            else if (keyCode == anywheresoftware.b4a.keywords.constants.KeyCodes.KEYCODE_BACK) {
				finish();
				return true;
			}
            return false;
		}
		
	}
    @Override
	public boolean onKeyUp(int keyCode, android.view.KeyEvent event) {
        if (processBA.runHook("onkeyup", this, new Object[] {keyCode, event}))
            return true;
		if (onKeyUpSubExist == null)
			onKeyUpSubExist = processBA.subExists("activity_keyup");
		if (onKeyUpSubExist) {
			Boolean res =  (Boolean)processBA.raiseEvent2(_activity, false, "activity_keyup", false, keyCode);
			if (res == null || res == true)
				return true;
		}
		return super.onKeyUp(keyCode, event);
	}
	@Override
	public void onNewIntent(android.content.Intent intent) {
        super.onNewIntent(intent);
		this.setIntent(intent);
        processBA.runHook("onnewintent", this, new Object[] {intent});
	}
    @Override 
	public void onPause() {
		super.onPause();
        if (_activity == null)
            return;
        if (this != mostCurrent)
			return;
		anywheresoftware.b4a.Msgbox.dismiss(true);
        BA.LogInfo("** Activity (main) Pause, UserClosed = " + activityBA.activity.isFinishing() + " **");
        if (mostCurrent != null)
            processBA.raiseEvent2(_activity, true, "activity_pause", false, activityBA.activity.isFinishing());		
        processBA.setActivityPaused(true);
        mostCurrent = null;
        if (!activityBA.activity.isFinishing())
			previousOne = new WeakReference<Activity>(this);
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        processBA.runHook("onpause", this, null);
	}

	@Override
	public void onDestroy() {
        super.onDestroy();
		previousOne = null;
        processBA.runHook("ondestroy", this, null);
	}
    @Override 
	public void onResume() {
		super.onResume();
        mostCurrent = this;
        anywheresoftware.b4a.Msgbox.isDismissing = false;
        if (activityBA != null) { //will be null during activity create (which waits for AfterLayout).
        	ResumeMessage rm = new ResumeMessage(mostCurrent);
        	BA.handler.post(rm);
        }
        processBA.runHook("onresume", this, null);
	}
    private static class ResumeMessage implements Runnable {
    	private final WeakReference<Activity> activity;
    	public ResumeMessage(Activity activity) {
    		this.activity = new WeakReference<Activity>(activity);
    	}
		public void run() {
            main mc = mostCurrent;
			if (mc == null || mc != activity.get())
				return;
			processBA.setActivityPaused(false);
            BA.LogInfo("** Activity (main) Resume **");
            if (mc != mostCurrent)
                return;
		    processBA.raiseEvent(mc._activity, "activity_resume", (Object[])null);
		}
    }
	@Override
	protected void onActivityResult(int requestCode, int resultCode,
	      android.content.Intent data) {
		processBA.onActivityResult(requestCode, resultCode, data);
        processBA.runHook("onactivityresult", this, new Object[] {requestCode, resultCode});
	}
	private static void initializeGlobals() {
		processBA.raiseEvent2(null, true, "globals", false, (Object[])null);
	}
    public void onRequestPermissionsResult(int requestCode,
        String permissions[], int[] grantResults) {
        for (int i = 0;i < permissions.length;i++) {
            Object[] o = new Object[] {permissions[i], grantResults[i] == 0};
            processBA.raiseEventFromDifferentThread(null,null, 0, "activity_permissionresult", true, o);
        }
            
    }



public static void initializeProcessGlobals() {
    
    if (main.processGlobalsRun == false) {
	    main.processGlobalsRun = true;
		try {
		        		
        } catch (Exception e) {
			throw new RuntimeException(e);
		}
    }
}
public static boolean isAnyActivityVisible() {
    boolean vis = false;
vis = vis | (main.mostCurrent != null);
return vis;}

private static BA killProgramHelper(BA ba) {
    if (ba == null)
        return null;
    anywheresoftware.b4a.BA.SharedProcessBA sharedProcessBA = ba.sharedProcessBA;
    if (sharedProcessBA == null || sharedProcessBA.activityBA == null)
        return null;
    return sharedProcessBA.activityBA.get();
}
public static void killProgram() {
     {
            Activity __a = null;
            if (main.previousOne != null) {
				__a = main.previousOne.get();
			}
            else {
                BA ba = killProgramHelper(main.mostCurrent == null ? null : main.mostCurrent.processBA);
                if (ba != null) __a = ba.activity;
            }
            if (__a != null)
				__a.finish();}

BA.applicationContext.stopService(new android.content.Intent(BA.applicationContext, starter.class));
}
public anywheresoftware.b4a.keywords.Common __c = null;
public anywheresoftware.b4a.objects.AnimationWrapper _anima = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgventilador = null;
public anywheresoftware.b4a.objects.CompoundButtonWrapper.ToggleButtonWrapper _btliga = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgcores = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imgluz = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _imggrade = null;
public anywheresoftware.b4a.objects.ImageViewWrapper _igrade = null;
public anywheresoftware.b4a.objects.PanelWrapper _ptronco = null;
public anywheresoftware.b4a.objects.PanelWrapper _ptronco2 = null;
public static int _clicksound = 0;
public anywheresoftware.b4a.audio.SoundPoolWrapper _sound = null;
public anywheresoftware.b4a.objects.MediaPlayerWrapper _mp = null;
public static int _speed = 0;
public ventilador.loja.starter _starter = null;
public static String  _activity_create(boolean _firsttime) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_create", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_create", new Object[] {_firsttime}));}
RDebugUtils.currentLine=131072;
 //BA.debugLineNum = 131072;BA.debugLine="Sub Activity_Create(FirstTime As Boolean)";
RDebugUtils.currentLine=131075;
 //BA.debugLineNum = 131075;BA.debugLine="Activity.LoadLayout(\"1\")";
mostCurrent._activity.LoadLayout("1",mostCurrent.activityBA);
RDebugUtils.currentLine=131079;
 //BA.debugLineNum = 131079;BA.debugLine="anima.InitializeRotateCenter(\"\", 0, 360, imgventi";
mostCurrent._anima.InitializeRotateCenter(mostCurrent.activityBA,"",(float) (0),(float) (360),(android.view.View)(mostCurrent._imgventilador.getObject()));
RDebugUtils.currentLine=131080;
 //BA.debugLineNum = 131080;BA.debugLine="anima.RepeatCount = -1";
mostCurrent._anima.setRepeatCount((int) (-1));
RDebugUtils.currentLine=131081;
 //BA.debugLineNum = 131081;BA.debugLine="anima.Duration = speed";
mostCurrent._anima.setDuration((long) (_speed));
RDebugUtils.currentLine=131085;
 //BA.debugLineNum = 131085;BA.debugLine="btliga.Color = Colors.Transparent";
mostCurrent._btliga.setColor(anywheresoftware.b4a.keywords.Common.Colors.Transparent);
RDebugUtils.currentLine=131086;
 //BA.debugLineNum = 131086;BA.debugLine="btliga.TextColor = Colors.Red";
mostCurrent._btliga.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=131090;
 //BA.debugLineNum = 131090;BA.debugLine="Load_Images(imgventilador, File.DirAssets, imgven";
_load_images(mostCurrent._imgventilador,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),BA.ObjectToString(mostCurrent._imgventilador.getTag())+".png");
RDebugUtils.currentLine=131091;
 //BA.debugLineNum = 131091;BA.debugLine="Load_Images(imggrade, File.DirAssets, \"grade.png\"";
_load_images(mostCurrent._imggrade,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"grade.png");
RDebugUtils.currentLine=131092;
 //BA.debugLineNum = 131092;BA.debugLine="Load_Images(imgcores, File.DirAssets, \"cores.png\"";
_load_images(mostCurrent._imgcores,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"cores.png");
RDebugUtils.currentLine=131093;
 //BA.debugLineNum = 131093;BA.debugLine="Load_Images(imgluz, File.DirAssets, \"lamp.png\")";
_load_images(mostCurrent._imgluz,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"lamp.png");
RDebugUtils.currentLine=131094;
 //BA.debugLineNum = 131094;BA.debugLine="Load_Images(igrade, File.DirAssets, \"grademenor.p";
_load_images(mostCurrent._igrade,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"grademenor.png");
RDebugUtils.currentLine=131099;
 //BA.debugLineNum = 131099;BA.debugLine="mp.Initialize2(\"mp\")";
mostCurrent._mp.Initialize2(processBA,"mp");
RDebugUtils.currentLine=131100;
 //BA.debugLineNum = 131100;BA.debugLine="mp.Load(File.DirAssets,\"vento.wav\")";
mostCurrent._mp.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"vento.wav");
RDebugUtils.currentLine=131101;
 //BA.debugLineNum = 131101;BA.debugLine="mp.Looping = True";
mostCurrent._mp.setLooping(anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=131106;
 //BA.debugLineNum = 131106;BA.debugLine="sound.Initialize(2)";
mostCurrent._sound.Initialize((int) (2));
RDebugUtils.currentLine=131107;
 //BA.debugLineNum = 131107;BA.debugLine="clickSound = sound.Load(File.DirAssets,\"click.wav";
_clicksound = mostCurrent._sound.Load(anywheresoftware.b4a.keywords.Common.File.getDirAssets(),"click.wav");
RDebugUtils.currentLine=131110;
 //BA.debugLineNum = 131110;BA.debugLine="End Sub";
return "";
}
public static String  _load_images(anywheresoftware.b4a.objects.ImageViewWrapper _iv,String _foldername,String _filename) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "load_images", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "load_images", new Object[] {_iv,_foldername,_filename}));}
RDebugUtils.currentLine=2162688;
 //BA.debugLineNum = 2162688;BA.debugLine="Sub Load_Images(iv As ImageView, folderName As Str";
RDebugUtils.currentLine=2162689;
 //BA.debugLineNum = 2162689;BA.debugLine="iv.Bitmap = Null";
_iv.setBitmap((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.Null));
RDebugUtils.currentLine=2162690;
 //BA.debugLineNum = 2162690;BA.debugLine="iv.SetBackgroundImage(LoadBitmapResize(folderName";
_iv.SetBackgroundImageNew((android.graphics.Bitmap)(anywheresoftware.b4a.keywords.Common.LoadBitmapResize(_foldername,_filename,_iv.getWidth(),_iv.getHeight(),anywheresoftware.b4a.keywords.Common.True).getObject())).setGravity(anywheresoftware.b4a.keywords.Common.Gravity.CENTER);
RDebugUtils.currentLine=2162691;
 //BA.debugLineNum = 2162691;BA.debugLine="End Sub";
return "";
}
public static String  _activity_pause(boolean _userclosed) throws Exception{
RDebugUtils.currentModule="main";
RDebugUtils.currentLine=262144;
 //BA.debugLineNum = 262144;BA.debugLine="Sub Activity_Pause (UserClosed As Boolean)";
RDebugUtils.currentLine=262147;
 //BA.debugLineNum = 262147;BA.debugLine="btliga.Checked = False";
mostCurrent._btliga.setChecked(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=262148;
 //BA.debugLineNum = 262148;BA.debugLine="If mp.IsInitialized And mp.IsPlaying Then mp.Paus";
if (mostCurrent._mp.IsInitialized() && mostCurrent._mp.IsPlaying()) { 
mostCurrent._mp.Pause();};
RDebugUtils.currentLine=262150;
 //BA.debugLineNum = 262150;BA.debugLine="End Sub";
return "";
}
public static String  _activity_resume() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "activity_resume", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "activity_resume", null));}
RDebugUtils.currentLine=196608;
 //BA.debugLineNum = 196608;BA.debugLine="Sub Activity_Resume";
RDebugUtils.currentLine=196609;
 //BA.debugLineNum = 196609;BA.debugLine="End Sub";
return "";
}
public static String  _btliga_checkedchange(boolean _checked) throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "btliga_checkedchange", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "btliga_checkedchange", new Object[] {_checked}));}
RDebugUtils.currentLine=786432;
 //BA.debugLineNum = 786432;BA.debugLine="Sub btliga_CheckedChange(Checked As Boolean)";
RDebugUtils.currentLine=786433;
 //BA.debugLineNum = 786433;BA.debugLine="If Checked Then";
if (_checked) { 
RDebugUtils.currentLine=786434;
 //BA.debugLineNum = 786434;BA.debugLine="If mp.IsInitialized Then mp.Play 'START VENTILAT";
if (mostCurrent._mp.IsInitialized()) { 
mostCurrent._mp.Play();};
RDebugUtils.currentLine=786435;
 //BA.debugLineNum = 786435;BA.debugLine="btliga.TextColor = Colors.Green 'ON TEXT";
mostCurrent._btliga.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Green);
RDebugUtils.currentLine=786436;
 //BA.debugLineNum = 786436;BA.debugLine="anima.Start(imgventilador) 'START ANIMATION";
mostCurrent._anima.Start((android.view.View)(mostCurrent._imgventilador.getObject()));
 }else {
RDebugUtils.currentLine=786438;
 //BA.debugLineNum = 786438;BA.debugLine="If mp.IsInitialized Then mp.Pause 'PAUSE VENTILA";
if (mostCurrent._mp.IsInitialized()) { 
mostCurrent._mp.Pause();};
RDebugUtils.currentLine=786439;
 //BA.debugLineNum = 786439;BA.debugLine="btliga.TextColor = Colors.Red 'OFF TEXT";
mostCurrent._btliga.setTextColor(anywheresoftware.b4a.keywords.Common.Colors.Red);
RDebugUtils.currentLine=786440;
 //BA.debugLineNum = 786440;BA.debugLine="anima.Stop(imgventilador) 'STOP ANIMATION";
mostCurrent._anima.Stop((android.view.View)(mostCurrent._imgventilador.getObject()));
 };
RDebugUtils.currentLine=786442;
 //BA.debugLineNum = 786442;BA.debugLine="sound.Play(clickSound,1,1,1,0,1) 'CLICK SOUND";
mostCurrent._sound.Play(_clicksound,(float) (1),(float) (1),(int) (1),(int) (0),(float) (1));
RDebugUtils.currentLine=786443;
 //BA.debugLineNum = 786443;BA.debugLine="End Sub";
return "";
}
public static String  _igrade_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "igrade_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "igrade_click", null));}
RDebugUtils.currentLine=1245184;
 //BA.debugLineNum = 1245184;BA.debugLine="Sub igrade_Click";
RDebugUtils.currentLine=1245185;
 //BA.debugLineNum = 1245185;BA.debugLine="If imggrade.Visible = False Then";
if (mostCurrent._imggrade.getVisible()==anywheresoftware.b4a.keywords.Common.False) { 
RDebugUtils.currentLine=1245186;
 //BA.debugLineNum = 1245186;BA.debugLine="imggrade.SetVisibleAnimated(350,True)";
mostCurrent._imggrade.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1245187;
 //BA.debugLineNum = 1245187;BA.debugLine="ptronco.SetVisibleAnimated(350,True)";
mostCurrent._ptronco.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=1245188;
 //BA.debugLineNum = 1245188;BA.debugLine="ptronco2.SetVisibleAnimated(350,True)";
mostCurrent._ptronco2.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.True);
 }else {
RDebugUtils.currentLine=1245190;
 //BA.debugLineNum = 1245190;BA.debugLine="imggrade.SetVisibleAnimated(350,False)";
mostCurrent._imggrade.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1245191;
 //BA.debugLineNum = 1245191;BA.debugLine="ptronco.SetVisibleAnimated(350,False)";
mostCurrent._ptronco.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=1245192;
 //BA.debugLineNum = 1245192;BA.debugLine="ptronco2.SetVisibleAnimated(350,False)";
mostCurrent._ptronco2.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.False);
 };
RDebugUtils.currentLine=1245194;
 //BA.debugLineNum = 1245194;BA.debugLine="End Sub";
return "";
}
public static String  _imgcores_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "imgcores_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "imgcores_click", null));}
int _coratual = 0;
RDebugUtils.currentLine=917504;
 //BA.debugLineNum = 917504;BA.debugLine="Sub imgcores_Click";
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Private corAtual As Int = imgventilador.Tag : cor";
_coratual = (int)(BA.ObjectToNumber(mostCurrent._imgventilador.getTag()));
RDebugUtils.currentLine=917505;
 //BA.debugLineNum = 917505;BA.debugLine="Private corAtual As Int = imgventilador.Tag : cor";
_coratual = (int) (_coratual+1);
RDebugUtils.currentLine=917506;
 //BA.debugLineNum = 917506;BA.debugLine="If corAtual > 6 Then corAtual = 1";
if (_coratual>6) { 
_coratual = (int) (1);};
RDebugUtils.currentLine=917507;
 //BA.debugLineNum = 917507;BA.debugLine="imgventilador.Tag = corAtual";
mostCurrent._imgventilador.setTag((Object)(_coratual));
RDebugUtils.currentLine=917508;
 //BA.debugLineNum = 917508;BA.debugLine="imgventilador.Visible = False";
mostCurrent._imgventilador.setVisible(anywheresoftware.b4a.keywords.Common.False);
RDebugUtils.currentLine=917509;
 //BA.debugLineNum = 917509;BA.debugLine="Load_Images(imgventilador,File.DirAssets, corAtua";
_load_images(mostCurrent._imgventilador,anywheresoftware.b4a.keywords.Common.File.getDirAssets(),BA.NumberToString(_coratual)+".png");
RDebugUtils.currentLine=917510;
 //BA.debugLineNum = 917510;BA.debugLine="imgventilador.SetVisibleAnimated(350,True)";
mostCurrent._imgventilador.SetVisibleAnimated((int) (350),anywheresoftware.b4a.keywords.Common.True);
RDebugUtils.currentLine=917511;
 //BA.debugLineNum = 917511;BA.debugLine="End Sub";
return "";
}
public static String  _imgluz_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "imgluz_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "imgluz_click", null));}
int _luzatual = 0;
RDebugUtils.currentLine=983040;
 //BA.debugLineNum = 983040;BA.debugLine="Sub imgluz_Click";
RDebugUtils.currentLine=983041;
 //BA.debugLineNum = 983041;BA.debugLine="Private luzAtual As Int =  imgluz.Tag";
_luzatual = (int)(BA.ObjectToNumber(mostCurrent._imgluz.getTag()));
RDebugUtils.currentLine=983042;
 //BA.debugLineNum = 983042;BA.debugLine="If luzAtual = 1 Then";
if (_luzatual==1) { 
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="Activity.SetColorAnimated(350,Colors.White,Color";
mostCurrent._activity.SetColorAnimated((int) (350),anywheresoftware.b4a.keywords.Common.Colors.White,anywheresoftware.b4a.keywords.Common.Colors.Black);
RDebugUtils.currentLine=983043;
 //BA.debugLineNum = 983043;BA.debugLine="Activity.SetColorAnimated(350,Colors.White,Color";
mostCurrent._imgluz.setTag((Object)(2));
 }else {
RDebugUtils.currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="Activity.SetColorAnimated(350,Colors.Black,Color";
mostCurrent._activity.SetColorAnimated((int) (350),anywheresoftware.b4a.keywords.Common.Colors.Black,anywheresoftware.b4a.keywords.Common.Colors.White);
RDebugUtils.currentLine=983045;
 //BA.debugLineNum = 983045;BA.debugLine="Activity.SetColorAnimated(350,Colors.Black,Color";
mostCurrent._imgluz.setTag((Object)(1));
 };
RDebugUtils.currentLine=983047;
 //BA.debugLineNum = 983047;BA.debugLine="End Sub";
return "";
}
public static String  _imgventilador_click() throws Exception{
RDebugUtils.currentModule="main";
if (Debug.shouldDelegate(mostCurrent.activityBA, "imgventilador_click", false))
	 {return ((String) Debug.delegate(mostCurrent.activityBA, "imgventilador_click", null));}
RDebugUtils.currentLine=1048576;
 //BA.debugLineNum = 1048576;BA.debugLine="Sub imgventilador_Click";
RDebugUtils.currentLine=1048577;
 //BA.debugLineNum = 1048577;BA.debugLine="If btliga.Checked = False Then btliga.Checked = T";
if (mostCurrent._btliga.getChecked()==anywheresoftware.b4a.keywords.Common.False) { 
mostCurrent._btliga.setChecked(anywheresoftware.b4a.keywords.Common.True);}
else {
mostCurrent._btliga.setChecked(anywheresoftware.b4a.keywords.Common.False);};
RDebugUtils.currentLine=1048578;
 //BA.debugLineNum = 1048578;BA.debugLine="End Sub";
return "";
}
}